Đến nội dung


Hình ảnh

Mình có 1 cái autolisp để trim kích thước


  • Please log in to reply
9 replies to this topic

#1 tuvanthietke.hcm

tuvanthietke.hcm

    biết lệnh array

  • Members
  • PipPipPip
  • 182 Bài viết
Điểm đánh giá: 4 (bình thường)

Đã gửi 30 April 2010 - 01:35 PM

http://www.cadviet.c...files/2/dim.rar

Đó làm sao sử dụng nó, mình muốn các đường kích thước đều nhau và đẹp nếu bạn bắt điểm đo kích thước khác nhau.
  • 0

#2 kienxdhp

kienxdhp

    biết vẽ pline

  • Members
  • PipPip
  • 61 Bài viết
Điểm đánh giá: 29 (tàm tạm)

Đã gửi 30 April 2010 - 01:57 PM

cái này dễ mà: nếu bạn muốn kích thước có chân cắt đều nhau hãy gõ lệnh cd, nếu muốn nó bị cắt theo 1 đường thằng bạn vẽ trước hãy gõ lệnh td. nhớ là phải load trước khi gọi lệnh.
  • 2

#3 tuvanthietke.hcm

tuvanthietke.hcm

    biết lệnh array

  • Members
  • PipPipPip
  • 182 Bài viết
Điểm đánh giá: 4 (bình thường)

Đã gửi 30 April 2010 - 05:53 PM

cái này dễ mà: nếu bạn muốn kích thước có chân cắt đều nhau hãy gõ lệnh cd, nếu muốn nó bị cắt theo 1 đường thằng bạn vẽ trước hãy gõ lệnh td. nhớ là phải load trước khi gọi lệnh.


Mình có cài 1 fastcad, cứ gõ cd là nó ra vẽ cửa, làm sao để ra đúng lệnh như bạn nói
  • 0

#4 Tue_NV

Tue_NV

    KS Võ Quang Tuệ

  • Moderator
  • PipPipPipPipPipPipPip
  • 4296 Bài viết
Điểm đánh giá: 3805 (đỉnh cao)

Đã gửi 30 April 2010 - 06:25 PM

Mình có cài 1 fastcad, cứ gõ cd là nó ra vẽ cửa, làm sao để ra đúng lệnh như bạn nói

Bạn có thể đổi tên lệnh của cắt dim
Tên lệnh đó nằm sau chữ (defun c:
Ví dụ như trong file cutdim.lsp của bạn
......
(DEFUN C:CD (/ CMD SS LTH DEM PT DS KDL N70 GOCX GOCY PT13 PT14 PTI PT13I PT14I
PT13N PT14N O13 O14 N13 N14 OSM OLDERR PT10 PT11)
.......
thì chữ CD nằm sau chữ (DEFUN C:
bạn có thể đổi chữ CD thành 1 chữ khác. Đó chính là tên lệnh của bạn.
Bạn thử "nghịch" xem nào? :cheers:
  • 1

#5 tuvanthietke.hcm

tuvanthietke.hcm

    biết lệnh array

  • Members
  • PipPipPip
  • 182 Bài viết
Điểm đánh giá: 4 (bình thường)

Đã gửi 30 April 2010 - 06:48 PM

Bạn có thể đổi tên lệnh của cắt dim
Tên lệnh đó nằm sau chữ (defun c:
Ví dụ như trong file cutdim.lsp của bạn
......
(DEFUN C:CD (/ CMD SS LTH DEM PT DS KDL N70 GOCX GOCY PT13 PT14 PTI PT13I PT14I
PT13N PT14N O13 O14 N13 N14 OSM OLDERR PT10 PT11)
.......
thì chữ CD nằm sau chữ (DEFUN C:
bạn có thể đổi chữ CD thành 1 chữ khác. Đó chính là tên lệnh của bạn.
Bạn thử "nghịch" xem nào? :cheers:


Mình sẽ nghịch vì thích nghịch lắm.

Có thể chỉ mình cách gỡ bỏ fastcad không?
  • 0

#6 tuvanthietke.hcm

tuvanthietke.hcm

    biết lệnh array

  • Members
  • PipPipPip
  • 182 Bài viết
Điểm đánh giá: 4 (bình thường)

Đã gửi 30 April 2010 - 06:56 PM

Bạn có thể đổi tên lệnh của cắt dim
Tên lệnh đó nằm sau chữ (defun c:
Ví dụ như trong file cutdim.lsp của bạn
......
(DEFUN C:CD (/ CMD SS LTH DEM PT DS KDL N70 GOCX GOCY PT13 PT14 PTI PT13I PT14I
PT13N PT14N O13 O14 N13 N14 OSM OLDERR PT10 PT11)
.......
thì chữ CD nằm sau chữ (DEFUN C:
bạn có thể đổi chữ CD thành 1 chữ khác. Đó chính là tên lệnh của bạn.
Bạn thử "nghịch" xem nào? :cheers:


Cho mình hỏi cái, mình đã làm được, nhưng với những cách đo kích thước thẳng đứng, còn ngang thì nó lại không được vì chân kích thước không bị trim mà chữ số chạy theo?????????? :cheers:
  • 0

#7 tuvanthietke.hcm

tuvanthietke.hcm

    biết lệnh array

  • Members
  • PipPipPip
  • 182 Bài viết
Điểm đánh giá: 4 (bình thường)

Đã gửi 01 May 2010 - 08:24 PM

không ai giúp mình à :cheers:
  • 0

#8 tuvanthietke.hcm

tuvanthietke.hcm

    biết lệnh array

  • Members
  • PipPipPip
  • 182 Bài viết
Điểm đánh giá: 4 (bình thường)

Đã gửi 04 May 2010 - 08:34 AM

Có ai giúp mình không?
  • 0

#9 tuvanthietke.hcm

tuvanthietke.hcm

    biết lệnh array

  • Members
  • PipPipPip
  • 182 Bài viết
Điểm đánh giá: 4 (bình thường)

Đã gửi 05 May 2010 - 10:59 PM

Cần giúp nhanh
  • 0

#10 binhyenlinh

binhyenlinh

    biết zoom

  • Members
  • Pip
  • 11 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 14 May 2010 - 05:32 PM

Cần giúp nhanh

Theo mình bạn nên dùng ngay cái líp khác đi,trên diễn đàn có rất nhiều mà.bạn thử líp này nha
http://www.cadviet.c.../2/cutdim_2.lsp
n và nn :cheers:
  • 0